com.holonplatform.datastore.jdbc.examples

## Class ExampleJdbcDatastoreFunction.IfNullResolver

- java.lang.Object
- - com.holonplatform.datastore.jdbc.examples.ExampleJdbcDatastoreFunction.IfNullResolver

- All Implemented Interfaces:
    com.holonplatform.core.Expression.ExpressionResolverFunction<ExampleJdbcDatastoreFunction.IfNull,SQLFunction>, com.holonplatform.core.ExpressionResolver<ExampleJdbcDatastoreFunction.IfNull,SQLFunction>, Serializable
  Enclosing class:
    ExampleJdbcDatastoreFunction

      public class ExampleJdbcDatastoreFunction.IfNullResolver
      extends Object
      implements com.holonplatform.core.ExpressionResolver<ExampleJdbcDatastoreFunction.IfNull,SQLFunction>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.ExpressionResolver

      `com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<C extends com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<C>>, com.holonplatform.core.ExpressionResolver.ExpressionResolverHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, com.holonplatform.core.ExpressionResolver.ResolutionContext`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.ExpressionResolver

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IfNullResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends ExampleJdbcDatastoreFunction.IfNull>` | `getExpressionType()`
    `Class<? extends SQLFunction>` | `getResolvedType()`
    `Optional<SQLFunction>` | `resolve(ExampleJdbcDatastoreFunction.IfNull expression, com.holonplatform.core.ExpressionResolver.ResolutionContext context)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver

      `create`

- - ### Constructor Detail

    - #### IfNullResolver

          public IfNullResolver()

  - ### Method Detail

    - #### resolve

          public Optional<SQLFunction> resolve(ExampleJdbcDatastoreFunction.IfNull expression,
                                               com.holonplatform.core.ExpressionResolver.ResolutionContext context)
                                        throws com.holonplatform.core.Expression.InvalidExpressionException

      Specified by:
        `resolve` in interface `com.holonplatform.core.Expression.ExpressionResolverFunction<ExampleJdbcDatastoreFunction.IfNull,SQLFunction>`
      Throws:
        `com.holonplatform.core.Expression.InvalidExpressionException`

    - #### getExpressionType

          public Class<? extends ExampleJdbcDatastoreFunction.IfNull> getExpressionType()

      Specified by:
        `getExpressionType` in interface `com.holonplatform.core.ExpressionResolver<ExampleJdbcDatastoreFunction.IfNull,SQLFunction>`

    - #### getResolvedType

          public Class<? extends SQLFunction> getResolvedType()

      Specified by:
        `getResolvedType` in interface `com.holonplatform.core.ExpressionResolver<ExampleJdbcDatastoreFunction.IfNull,SQLFunction>`

Copyright © 2019 The Holon Platform. All rights reserved.